Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique





















Freely subscribe to our NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Unsubscribe

Vigil@nce: Ghostscript, execution of gs_init.ps

June 2010 by Vigil@nce

This bulletin was written by Vigil@nce : http://vigilance.fr/

SYNTHESIS OF THE VULNERABILITY

When Ghostscript is run from a writable directory, it can run malicious PostScript code.

- Severity: 1/4
- Creation date: 31/05/2010

DESCRIPTION OF THE VULNERABILITY

The Ghostscript (gs) program manages PostScript or PDF documents.

By default, Ghostscript loads configuration files from the current directory. This behavior is the origin of the VIGILANCE-VUL-9669 (https://vigilance.fr/tree/1/9669) vulnerability. The "-P-" option of Ghostscript forbids the loading of all these files.

However, the gs_init.ps file is always loaded. It can contain malicious code added by an attacker.

When Ghostscript is run from a writable directory, it can therefore run malicious PostScript code.

ACCESS TO THE COMPLETE VIGIL@NCE BULLETIN

http://vigilance.fr/vulnerability/G...




See previous articles

    

See next articles